# Class CIM_WBEMServer
extends CIM_Service

CIM_WBEMServer represents a WBEMServer and serves as an aggregation point for the WBEM Server settings, capabilities, services, protocols, etc.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_ManagedSystemElement
|
+--CIM_LogicalElement
|
+--CIM_EnabledLogicalElement
|
+--CIM_Service
|
+--CIM_WBEMServer

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Description | string | CIM_WBEMServer represents a WBEMServer and serves as an aggregation point for the WBEM Server settings, capabilities, services, protocols, etc.
UMLPackagePath | string | CIM::Interop::WBEMServer
Version | string | 2.38.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
Description | string |
Description | string | The Description of the WBEM Server (e.g. ACME WBEM Server 1.0.0).
Override | string | Description
Required | boolean | true
ElementName | string |
Description | string | The ElementName property is used as a name of the WBEM Server for human interfaces. For example, "ACME WBEM Server").
Override | string | ElementName
Required | boolean | true
Name | string |
Description | string | The Name property is used to uniquely identify a WBEM Server. The WBEM Server shall ensure that this value is globally unique.
Key | boolean | true
MaxLen | uint32 | 256
Override | string | Name

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
CommunicationStatus | uint16 | CIM_ManagedSystemElement
CreationClassName | string | CIM_Service
DetailedStatus | uint16 | CIM_ManagedSystemElement
EnabledDefault | uint16 | CIM_EnabledLogicalElement
EnabledState | uint16 | CIM_EnabledLogicalElement
HealthState | uint16 | CIM_ManagedSystemElement
InstallDate | datetime | CIM_ManagedSystemElement
InstanceID | string | CIM_ManagedElement
OperatingStatus | uint16 | CIM_ManagedSystemElement
OtherEnabledState | string | CIM_EnabledLogicalElement
PrimaryOwnerContact | string | CIM_Service
PrimaryOwnerName | string | CIM_Service
PrimaryStatus | uint16 | CIM_ManagedSystemElement
RequestedState | uint16 | CIM_EnabledLogicalElement
Started | boolean | CIM_Service
StartMode | string | CIM_Service
Status | string | CIM_ManagedSystemElement
SystemCreationClassName | string | CIM_Service
SystemName | string | CIM_Service
TimeOfLastStateChange | datetime | CIM_EnabledLogicalElement
TransitioningToState | uint16 | CIM_EnabledLogicalElement
AvailableRequestedStates | uint16[] | CIM_EnabledLogicalElement
OperationalStatus | uint16[] | CIM_ManagedSystemElement
StatusDescriptions | string[] | CIM_ManagedSystemElement

## Class Methods

### Local Class Methods

#### CreateWBEMServerNamespace (uint32)

#### Method Qualifiers (CreateWBEMServerNamespace)

Name | Data Type | Value
--- | --- | ---
Description | string | CreateNamespace creates an Namespace. Upon successful completion of the method, there shall be a newly created instance of CIM_WBEMServerNamespace associated through the CIM_HostedDependency association with this instance of CIM_WBEMServer.
ValueMap | string | 0, 1, ..
Values | string | Completed with No Error, Failed, DMTF Reserved

#### Method Parameters (CreateWBEMServerNamespace)

Name | Type | Qualifiers
--- | --- | ---
Name | Data Type | Value
NamespaceTemplate | string
Description | string | NamespaceTemplate is a template for the desired Namespace to be created.
EmbeddedInstance | string | CIM_WBEMServerNamespace
Required | boolean | true
Errors | string[]
Description | string | Error information for this method. This coudl include any information the implementation wants to return during the process of this method, even if completed successfully.
EmbeddedInstance | string | CIM_Error
In | boolean | false
Out | boolean | true
Namespace | REF CIM_WBEMServerNamespace
Description | string | Reference to the instance of CIM_WBEMServerNamespace created when the method returns a value of 0.
In | boolean | false
Out | boolean | true

### Inherited Class Methods

Name | Return Type | Class Origin
--- | --- | ---
RequestStateChange | uint32 | CIM_EnabledLogicalElement
StartService | uint32 | CIM_Service
StopService | uint32 | CIM_Service